MPI_Win_get_name(3)

NAME
MPI_Win_get_name - Get the name associated with a window

SYNOPSIS
#include <mpi.h>
int
MPI_Win_get_name(MPI_Win win, char *name, int *length)

INPUT PARAMETERS
type
    - MPI window

OUTPUT PARAMETERS
name
    - Name of the window
length
    - Integer length of the resulting name

NOTES
This function returns the name of a window that was previously set with MPI_Win_set_name
 . If a name was not previously associated with a window, the returned string will be empty and length will be 0. The retuned name will be a maximum of MPI_MAX_OBJECT_NAME characters long.

ERRORS
If an error occurs in an MPI function, the current MPI error handler is called to handle it. By default, this error handler aborts the MPI job. The error handler may be changed with MPI_Errhandler_set ; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned (in C and Fortran; this error handler is less useful in with the C++ MPI bindings. The predefined error handler MPI::ERRORS_THROW_EXCEPTIONS should be used in C++ if the error value needs to be recovered). Note that MPI does not guarantee that an MPI program can continue past an error. All MPI routines (except MPI_Wtime and MPI_Wtick ) return an error value; C routines as the value of the function and Fortran routines in the last argument. The C++ bindings for MPI do not return error values; instead, error values are communicated by throwing exceptions of type MPI::Exception (but not by default). Exceptions are only thrown if the error value is not MPI::SUCCESS
 . Note that if the MPI::ERRORS_RETURN handler is set in C++, while MPI functions will return upon an error, there will be no way to recover what the actual error value was.
MPI_SUCCESS
    - No error; MPI routine completed successfully.
MPI_ERR_COMM
    - Invalid communicator. A common error is to use a null communicator in a call (not even allowed in MPI_Comm_rank ).
MPI_ERR_ARG
    - Invalid argument. Some argument is invalid and is not identified by a specific error class. This is typically a NULL pointer or other such error.

SEE ALSO
MPI_Comm_get_name(3), MPI_Comm_set_name(3), MPI_Type_get_name(3), MPI_Type_set_name(3), MPI_Win_set_name(3)

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

LOCATION
wgetname.c